DROP TABLE IF EXISTS `amidon_donations`;
CREATE TABLE `amidon_donations` (
  `id` int(11) NOT NULL auto_increment,
  `itemname` varchar(255) NOT NULL default '',
  `gross_price` varchar(10) NOT NULL default '',
  `pay_email` varchar(255) NOT NULL default '',
  `paymentdate` date NOT NULL default '0000-00-00',
  `firstname` varchar(100) default NULL,
  `lastname` varchar(100) default NULL,
  `memo` varchar(255) NOT NULL default '',
  `paymentstatus` varchar(20) default NULL,
  `pendingreason` varchar(20) NOT NULL default '',
  `txnid` varchar(30) NOT NULL default '',
  `anom` char(3) NOT NULL default 'no',
  `stdate` date default NULL,
KEY `id` (`id`),
  KEY `paymentstatus` (`paymentstatus`),
  KEY `stdate` (`stdate`),
  KEY `txnid` (`txnid`)
) TYPE=MyISAM AUTO_INCREMENT=1;


DROP TABLE IF EXISTS `amidon_paytype`;
CREATE TABLE `amidon_paytype` (
  `id` int(11) NOT NULL auto_increment,
  `payemail` varchar(255) NOT NULL default '',
  `currency` varchar(5) NOT NULL default '',
  `ppimage` varchar(255) default NULL,
  `ppcancel` varchar(255) default NULL,
  `ppreturn` varchar(255) default NULL,
  `donname` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2;

INSERT INTO `amidon_paytype` VALUES (1, 'nospam@amigura.co.uk', 'GBP', 'www.amigura.co.uk/demo/ami-logo.jpg', 'www.amigura.co.uk/demo/donations/example.php', 'www.amigura.co.uk/demo/donations/example.php', 'Donation - website');

DROP TABLE IF EXISTS `amidon_settings`;
CREATE TABLE `amidon_settings` (
  `user` varchar(50) NOT NULL,
  `pass` varchar(32) NOT NULL,
  `adminemail` varchar(255) NOT NULL,
  `tyemail` tinyint(4) default NULL,
  `wsubject` varchar(255) NOT NULL,
  `wmessage` text NOT NULL,
  `target` varchar(10) NOT NULL,
  `ndon` tinyint(4) default NULL,
  `perpage` smallint(6) default NULL,
  `surl` varchar(255) NOT NULL,
  PRIMARY KEY  (`user`)
) ENGINE=MyISAM;

INSERT INTO `amidon_settings` VALUES ('admin', '21232f297a57a5a743894a0e4a801fc3', 'sales@amigura.co.uk', 2, 'Thank you for your donation', 'Hi #name#,\r\n\r\nThank you for your donation of #amount# to my website.\r\n\r\nAdmin\r\n#site#', '1000', 5, 10, 'www.amigura.co.uk');
        